For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Angle Dimension Question

PeterNY's picture
Forums: 

Hello Guys,

I tried to display an angle dimension using the following code

gp_Pnt A(0,0,0);
gp_Pnt B(0,100,0);
gp_Pnt C(100,0,0);
TopoDS_Edge e1=BRepBuilderAPI_MakeEdge(A,B);
TopoDS_Edge e2=BRepBuilderAPI_MakeEdge(A,C);
gp_Vec V(C,B);
gp_Dir dir(V);
Handle(Geom_Plane) G=new Geom_Plane (A,dir);
Handle(AIS_AngleDimension) f=new AIS_AngleDimension (e1,e2,G,10000,"???");
myAISContext->Display(f);

it did not show any problems with the code
but there were nothing on the screen.

If you know what is going on, Please help me!!

100's of thanks!

peter

Contact us

Attention: DO NOT use this form for all kind of request for the removal of your personal data. Please follow this link for such cases.